textprintf_centre_ex(3)

NAME
textprintf_centre_ex - Formatted centered output of a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void textprintf_centre_ex(BITMAP *bmp, const FONT *f, int x, int y, int color, int bg, const char *fmt, ...);

DESCRIPTION
Like textprintf_ex(), but interprets the x coordinate as the centre rather than the left edge of the string. This function shares the text length limitation of textprintf_ex(). Example:
   textprintf_centre_ex(screen, font, SCREEN_W / 2, 120,
                        makecol(0, 100, 243), -1,
                        "Your best score so far was %d!",
                        total_max_points);

SEE ALSO
textprintf_ex(3), textout_centre_ex(3)